//
//  YHHomeInfoClassifyModel.swift
//  galaxy
//
//  Created by edy on 2024/7/19.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import SmartCodable

class YHHomeInfoClassifyModel: SmartCodable {
    
    var id: Int = 0
    var type: Int = 0
    var pid: Int = 0
    var sort: Int = 0
    var level: Int = 0
    var isShow: Int = 0
    var isMessage: Int = 0
    var hotNum: Int = 0
    var name: String = ""
    var imgURL: String = ""

    enum CodingKeys: String, CodingKey {
        case id, type, pid, sort, level
        case isShow = "is_show"
        case isMessage = "is_message"
        case hotNum = "hot_num"
        case name
        case imgURL = "img_url"
    }
    
    required init() {
        
    }
}
